#version 330 core

layout(location = 0, index = 0) out vec4 out_color0;

uniform sampler2D texttex;
uniform vec4 color;

in vec2 texcoord0;

void main()
{
	vec4 texsample = texture( texttex, texcoord0 );
	texsample.a = pow( texsample.a, 3.0f );

	float alpha = texsample.a;
	vec3 outcol = texsample.r * color.rgb;
	out_color0 = vec4( outcol * alpha, 1 );
}
